#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	AIO
Summary:	IO::AIO - Perl Asynchronous Input/Output
Summary(pl.UTF-8):	IO::AIO - asynchroniczne wejście/wyjście w Perlu
Name:		perl-IO-AIO
Version:	4.18
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c76da33bc21c6d5ffa68ccb163184aa2
URL:		http://search.cpan.org/dist/IO-AIO/
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements asynchronous I/O using whatever means your
operating system supports.

%description -l pl.UTF-8
Ten moduł implementuje asynchroniczne we/wy przy użyciu dowolnych
metod obsługiwanych przez system operacyjny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/treescan
%{perl_vendorarch}/IO/AIO.pm
%dir %{perl_vendorarch}/auto/IO/AIO
%{perl_vendorarch}/auto/IO/AIO/AIO.bs
%attr(755,root,root) %{perl_vendorarch}/auto/IO/AIO/AIO.so
%{_mandir}/man3/IO::AIO.3pm*
%changelog
* Thu Jun 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-AIO.git;a=log;h=master

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 8295659
- updated to 4.18

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 872bc4a
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 2f014c2
- updated to 4.15

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 4284728
- updated to 3.71

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 232590c
- release 2

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 6cd7962
- updated to 3.31

* Mon Feb 02 2009 radek <radek@pld-linux.org> ca0c325
- version 3.17 ("lots of incompatible changes" from 2.x)

* Sun Mar 02 2008 radek <radek@pld-linux.org> 3174d5b
- release 2

* Sat Feb 09 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 4589872
- rel.1

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> afc96a7
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> f677bc2
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 51d2919
- up to 2.51

* Fri Mar 02 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> b0f6ae8
- up to 2.33

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0f732bf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ebaaf91
- converted to UTF-8

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> d42921c
- up to 1.73

* Mon Jan 23 2006 Jakub Bogusz <qboosh@pld-linux.org> c47e144
- pl, .so perms

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> 20a2f6b
- up to 1.71, rel=0.1

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> 6ed2097
- initial, rel=0.1

